AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
License: AGPL-3.0-only
AuthorName: ente
AuthorEmail: support+fdroid@ente.io
AuthorWebSite: https://ente.io
WebSite: https://ente.io
SourceCode: https://github.com/ente-io/photos-app
IssueTracker: https://roadmap.ente.io

AutoName: ente

RepoType: git
Repo: https://github.com/ente-io/photos-app.git

Builds:
  - versionName: 0.5.16
    versionCode: 296
    commit: b62740ab209d00768363f5be1ed912c62ba968d2
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.5.35
    versionCode: 315
    commit: 4128cfdfb5a4f4ae5349ee5620e8ebd8397cc7f6
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.3
    versionCode: 333
    commit: 9e7895386cdf1dbd1b550f08f111c193181a5112
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.11
    versionCode: 341
    commit: a6681a2fc8181f2ce45fed6662e0518480187df7
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.11
    versionCode: 342
    commit: 1da9410e8a5a7554eeca0877bf563d0e66ae4c8b
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.13
    versionCode: 343
    commit: 67f5e5d87ee3d91bc96e115efd8853901acf07b7
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.19
    versionCode: 349
    commit: 5f49e174be3fa0bd1bb9ea4da064089d1c271ce7
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.34
    versionCode: 364
    commit: a462db27e1d85f4b76f2469c4086922fae644a4a
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.35
    versionCode: 365
    commit: f9a4cdaca2a5814b5fb80b86ef6336d4eea1faf1
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.38
    versionCode: 368
    commit: 89f11290348d053f60c278e39c897f33fa797e4d
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.45
    versionCode: 375
    commit: 4c22bb77593c25657517d0965b2fe176209aff9a
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.51
    versionCode: 381
    commit: 18fc806257617032f6064b348414388db44bfe79
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.52
    versionCode: 382
    commit: 3bbe750236a0c944775b0b08e00f13db5bfe528c
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.55
    versionCode: 385
    commit: c51a89243c8748a070508444976aaa4cd771259d
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.70
    versionCode: 390
    commit: de5b3b8bae59943d29100693ce9f0691f669f32a
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.6.74
    versionCode: 394
    commit: 446d2a1fc83f82b71abbcb9532b4f1768bc9cc22
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.0
    versionCode: 400
    commit: 6e9913a3015e5f0531b356c3492c445c60943883
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.8
    versionCode: 408
    commit: af177b5835c03023ee6c24063fcd8fc8abfc1556
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.20
    versionCode: 420
    commit: 5bbb5ef340808c0aa1ba5f7aa7e84197ca1d335d
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - thirdparty/extended_image/example
    build:
      - cd thirdparty/transistor-background-fetch/android
      - gradle :tsbackgroundfetch:publishRelease
      - cd ../../../
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - flutter packages pub get
      - flutter packages pub run flutter_launcher_icons:main
      - flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.30
    versionCode: 430
    commit: ade81ffbbba5b2aa9a69bc13ebda0ee48ea77cb2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.32
    versionCode: 432
    commit: 4cf6bb46636757f5daaf63a5df671cf4cd10efc7
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.36
    versionCode: 436
    commit: f64f1ba58d1cfba21abd274aa0337bfc24c01b4e
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.43
    versionCode: 443
    commit: 0504563434cedcbede075563d01561a0cbe72f37
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.44
    versionCode: 444
    commit: 488c001663e72dca192134431575ac4fecfdf9e2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.48
    versionCode: 448
    commit: 1bab4021945929314e08482fd01a8cd80aeddb93
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.5/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.62
    versionCode: 462
    commit: bf09dc4ffe5c390150a6e4c6f2d94dcf113a0d73
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.66
    versionCode: 466
    commit: fdb883715678350b7a3d7b68c0f79cb52826ef84
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.74
    versionCode: 474
    commit: 4362c166fd141ad0b53f63acd49080bf8e06fa82
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.77
    versionCode: 477
    commit: d2e6ffb195b59cbaacf7c2c19e78f19d01c2262a
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.80
    versionCode: 480
    commit: 0c1f956f4f52ebdeaf79254964e6e57f238f7217
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.89
    versionCode: 489
    commit: 640a43d524dbf772b91bfe33f6a2d80498187eaf
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.92
    versionCode: 492
    commit: dc6ebe0a541747aa2a8c388de4ea228851b0f635
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.93
    versionCode: 493
    commit: e78d2d693bbbea0a80b23b2f9ecf67eb004b59a7
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - thirdparty/extended_image/example
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/packages/flutter_tools/gradle/flutter.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.100
    versionCode: 500
    commit: 58d767c5795413f645c941cd13278bfc7bf81957
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.102
    versionCode: 502
    commit: 99cccab2a9fae1b154726e9a2a11574ff6d77f29
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter packages pub run flutter_launcher_icons:main
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.108
    versionCode: 508
    commit: b1fa16964dd0ebcad0769d57f01d037133676ef1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.7.116
    versionCode: 516
    commit: a1374ac6dd834c4b2b3ab0acc64b500d20abf14f
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.8.0
    versionCode: 520
    commit: a0a01787f584b3ffed2eaae4e870e2383439865a
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.8.1
    versionCode: 521
    commit: 5d6407adc55d2c014d12b6ec9de6d3477b6a071d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 0.8.4
    versionCode: 524
    commit: 9c6c7f400541873a85ad375e984777571fcbefd9
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
      - transistor-background-fetch@fb883de16ff3fbaaaa5ce84d829911c8a5894d2
    rm:
      - ios
      - android/app/src/main/jniLibs/*/*libtensor*.so
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - thirdparty/flutter/bin/flutter config --no-analytics
      - thirdparty/flutter/bin/flutter pub get
    scanignore:
      - .pub-cache/hosted/pub.dev/background_fetch-*/android/build.gradle
      - thirdparty/flutter/bin/cache
    scandelete:
      - thirdparty/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/hosted/pub.dev/flutter_sodium-0.2.0/android/src/main/jniLibs/x86/
      - pushd $$transistor-background-fetch$$/android/tsbackgroundfetch/
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd
      - mv $$transistor-background-fetch$$/android/tsbackgroundfetch/build/outputs/aar/tsbackgroundfetch-release.aar
        $PUB_CACHE/hosted/pub.dev/background_fetch-1.1.6/android/libs/com/transistorsoft/tsbackgroundfetch/0.5.7/tsbackgroundfetch-0.5.7.aar
      - thirdparty/flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

AutoUpdateMode: Version
UpdateCheckMode: Tags ^fdroid-
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.8.4
CurrentVersionCode: 524
